Alternative package manager for Debian and derivatives which offers an ncurses based text-mode user interface (TUI) and mighty search patterns besides a command-line interface similar to `apt-get`'s command-line interface.

learn more… | top users | synonyms

0
votes
0answers
16 views

Three Debian package management tools: apt-get vs. aptitude vs. wajig [duplicate]

Debian Linux offers various command-line package management tools. Perhaps the three most popular such general-purpose tools are apt-get, aptitude, and wajig. When they are used for ordinary ...
0
votes
1answer
44 views

Install linux headers 3.7 on debian 8

I'm trying to install the amd64 radeon catalyst driver, but it needs kernel headers for 3.7 This is the output of uname -r: 3.16.0-4-amd64 I've already ran apt-get update, apt-cache search ...
0
votes
1answer
18 views

uninitialized constant XML::SaxParser / Error retrieving bug reports from the server

I use an old LMDE (Linux Mint Debian Edition) installation that went through several repository changes. I've originally tracked LMDE's repositories, then at one point switched to Debian Testing ...
1
vote
1answer
54 views

How can I “reset” aptitude?

I've inherited an Ubuntu 12.04 server where package management is completely messed up. Any aptitude command fails with errors like this one (for every installed package, as far as I can tell): dpkg: ...
1
vote
0answers
36 views

aptitude unmarkauto trying to remove packages

aptitude unmarkauto seems to have behaved strangely for me. I had numerous packages that apt-get autoremove wanted to remove: # apt-get autoremove Reading package lists... Done Building dependency ...
0
votes
1answer
25 views

Why does aptitude markauto uninstall my package?

From the aptitude help: aptitude 0.6.8.2 Usage: aptitude [-S fname] [-u|-i] .. snip .. markauto - Mark packages as having been automatically installed. unmarkauto - Mark packages as having ...
2
votes
1answer
32 views

Is there a command that outputs ONLY the packages explicitly installed by the user? (ubuntu/debian)

I have tried searching for this but there seems to be no command that can output a list of packages (ideally in Ubuntu) that I have installed, not including any dependencies.
0
votes
0answers
160 views

Debian: Can't Install Anything (Package Cannot Be Installed)

So, I have a brand new Debian install. My sources.list looks like this: deb http://http.debian.net/debian wheezy main contrib nonfree deb-src http://http.debian.net/debian wheezy main contrib ...
1
vote
0answers
26 views

Aptitude wants to remove tons of packages

I've used the search engine but do not manage to find a simple answer to this simple question: How to avoid aptitude wanting to deinstall tons of packages when a simple upgrade of a single package ...
0
votes
1answer
833 views

Problem installing John the Ripper Jumbo on Kali - libssl-dev dependecy

I am trying to install John the Ripper Jumbo on my Kali box. For some reason the version of Kali I recently installed as the host OS on a spare laptop does not seem to have NTLM hash support (whereas ...
-1
votes
1answer
237 views

How to remove a package on a debian-based system WITHOUT removing dependencies? [closed]

I have a computer running Linux Mint and I'd like to remove a package WITHOUT removing its dependencies. For the particular package I'd like to remove, there are about 20 dependencies and some ...
0
votes
1answer
33 views

Why there is no automatic flag on automatically added libraries?

Under my Debian Jessie system, when I run aptitude I can see a lot of libraries not manually installed but without the automatic flag. So if I remove the main packages the dependent packages will ...
0
votes
0answers
47 views

Installing grub2 pulls X11 as a dependency?

I've ended up with a rather strange issue after a broken install of vlc-nox on a headless server. I'm now trying to reinstall grub, using the command aptitude install grub2 but aptitude wants to ...
1
vote
0answers
226 views

How can I install gcc-4.2 g++-4.2 on Linux Mint 17 with gcc-4.8 already installed?

I need an older version of gcc (specifically 4.2) alongside current gcc (4.8) on Linux Mint 17. Default Mint repositories can't find needed package: sudo aptitude install gcc-4.2 No candidate version ...
1
vote
1answer
126 views

What is the 'apt-get' equvalent of 'aptitude keep-all'?

From aptitude man page. keep-all Cancels all scheduled actions on all packages; any packages whose sticky state indicates an installation, removal, or upgrade will have this ...
1
vote
1answer
209 views

How can I upgrade a complete list of packages from stable to backports

I have installed Qt 4.8.2 from Debian Wheezy on my system. Now, some application requires Qt 4.8.3 on my machine, so I looked at the versions and found that Qt 4.8.6 is avaliable in Wheezy-Backports: ...
1
vote
0answers
30 views

How to make aptitude recognize Oracle Java as a valid java dependancy

I have Oracle Java 7 on my Debian. I want to install tomcat server using aptitude, but it keeps trying to install icedtea, and unnecessary java related packages, is it possible for aptitude to know ...
3
votes
1answer
56 views

How to change automatically installed package to intentionally intalled?

I'm using Debian Jessie. I'm installing some software Z from source. Installation instructions inform that it depends on Debian package X. I checked in aptitude and I have this package installed, but ...
1
vote
2answers
460 views

Why do I get Hash Sum mismatch error when trying to install mono on debian

I am following the mono installation tutorial. First I add repo to list, then I import key and finally I try to update the repos. On last step I get error: W: Failed to fetch ...
1
vote
1answer
359 views

aptitude search doesn't see deb, but it exist in repo: http://http.kali.org/pool/main/s/simplejson/

OS: Kali Linux 64 bit ISO 1.0.9 www.kali.org/downloads/ package: python3-simplejson Here is: http://http.kali.org/pool/main/s/simplejson/ python3-simplejson_3.6.3-1_amd64.deb 24-Aug-2014 01:57 ...
4
votes
3answers
494 views

SSH pipe broke while running apt upgrade. What can I do about it?

I was connected to my aws debian wheezy server and while running apt-get upgrade the ssh pipe broke. I didn't use screen or anything, so I don't think there's a way to recover that session. If I ...
2
votes
1answer
699 views

Can't install Python3 package in Debian 7

I get error while installing python3 in Debian 7 (I have all updates installed): root@nuclight:~# aptitude install python3 The following NEW packages will be installed: python3 python3.2{a} 0 ...
1
vote
1answer
56 views

List packages coming from a specific Codename or Suite (apt based systems)

I already know how to list every package from a given "origin", thanks to aptitude awesome search features: aptitude search "?origin(My Backports)" However, in the repository Release file, there ...
2
votes
1answer
29 views

Force installation of doc packages

I often find myself missing documentation when I happen to be offline. For this reason, I would like to force aptitude to install the corresponding doc packages whenever I install a package. Is there ...
0
votes
1answer
9k views

Unable to connect to source.repository.backtrack-linux.org

I have a BackTrack5 r3 installed on VMware. As you see below I have internet access in it : root@bt:~# ping www.google.com PING www.google.com (173.194.70.105) 56(84) bytes of data. 64 bytes from ...
0
votes
1answer
772 views

Why is my /etc/apt/sources.list set to squeeze when I have debian wheezy?

I have set up a few new debian boxes which were installed with debian wheezy (7.1). I set them up and upgraded to the current stable release: $ cat /etc/debian_version 7.6 If I look at my ...
0
votes
1answer
48 views

Debian system: install specific packages from source automatically to boost the performance

On Debian /Ubuntu systems, how to set a list of packages which can be installed from sources automatically by apt-get or aptitude? The server is mainly for scientific computing and I would like to ...
3
votes
1answer
2k views

Is there apt-get for windows?

If it was windows machine that had no internet connection, what I would do is downloading the installers/programs on another computer, putting them on a portable media, copying them on the ...
0
votes
1answer
18 views

Finding the latest version of package which doesn't require upgrading libc (on Debian)

When I try to upgrade packages using aptitude -t wheezy-backports, they often require newer libc than is installed. Proposed solutions remove hundreds of packages. Is there a way to request only the ...
4
votes
2answers
129 views

Aptitude - Remove all Packages in X11 catagory, except for dependencies of a specific package

I would like to remove most of the packages in the X11 category from my system, however some of those packages are depended on by the 'beaglebone' package. How could I ask aptitude to remove ...
0
votes
1answer
693 views

debian: aptitude install sshfs > Couldn't find any package whose name [closed]

Why aptitude don’t found sshfs? And how can I install sshfs via aptitude? Pleas, without 3rd-Partys. https://packages.debian.org/en/wheezy/sshfs I typed this: root@s18:~# aptitude update Hit ...
4
votes
1answer
153 views

How to list all aptitude user tags or the user tags for a package?

I'm in a bit of a pickle. Following my own counsel I started using user-tags when working on projects, but now I don't remember how I called some of these tags and this cancels their usefulness. Is ...
1
vote
0answers
128 views

What does apt-get/aptitude do, when it “hangs”?

Everytime I install/remove something with apt-get or aptitude, it hangs for quite a few seconds after all operations (at least: all shown operations) have finished. After those few seconds (like 10 or ...
4
votes
1answer
549 views

apt-get doesn't upgrade openssl on debian 7

I'm facing the following problem. If I run the command sudo apt-get upgrade, I get: Reading package lists... Done Building dependency tree Reading state information... Done The following ...
2
votes
1answer
1k views

Are All The Packages Included On The Debian DVD/CD Images Or Just The Most Popular?

My understanding is that Debian and all the software available in the matching online repo (eg: https://packages.debian.org/stable/allpackages) are released together on a series of disc images ...
1
vote
2answers
1k views

dependency error when run apt-get -f install in debian squeeze

I can't install or remove packages in Debian. When I type apt-get -f install to fix the problem I get this error: Reading package lists... Done Building dependency tree Reading state ...
7
votes
2answers
387 views

aptitude: Meaning of curly brackets, i.e. package1{b} package2{a} package3{u}

When using aptitude, the list of changed packages sometimes has a single character in curly brackets behind some package names. The man-page has two examples of them but does not explain them (version ...
0
votes
1answer
780 views

Bare-bones linux? [closed]

I am working on a homemade OS and I was originally going to write it myself in Assembly and Python, but I decided that doing this would just be easier, faster, and more Linux-y. I have the Python part ...
4
votes
1answer
288 views

Can aptitude group or search for packages which nothing depends on?

With aptitude: I can see the number of reverse dependencies with %r in the display format string (preferences), but how can I group/limit the package list according to that count? I want to ...
4
votes
1answer
169 views

How can I search for packages depending on a exact package?

I'm experimenting a bit with aptitude search terms and finally discovered how to do search on dependencies, which is: aptitude search '?depends("searchterm")' The only problem that I've found is... ...
4
votes
1answer
268 views

How to de-select packages of a certain architecture in aptitude

I'm upgrading some Debian machines from i386 arch to amd64. The process is fairly straitforward: Boot a amd64 kernel For libraries which are multiarch-capable, install their amd64 companion ...
1
vote
1answer
801 views

How to pull dependencies for package/testing from testing

Trying to install a newer version of libav-tools from testing to my otherwise debian-stable installation. I have testing in my sources.list and my preferences look like: Package: * Pin: release ...
0
votes
1answer
77 views

Why does aptitude refrain from upgrading [UNAVAILABLE] packages?

Why does aptitude refrain from upgrading in the example below? Is it solely because existing package metadata is not in cache anymore? If package is marked as [UNAVAILABLE], does it mean the only ...
1
vote
2answers
550 views

What is the equivalent of apt-key in aptitude?

I'm trying to avoid apt-* commands and trying to use aptitude for all my Debian systems. In my documentations, there is a command written as sudo apt-key add key.asc. How do I convert apt-key add ...
1
vote
1answer
109 views

Aptitude - uninstalling autoinstalled packages that are recommended by other packages

I am running a Debian Wheezy install on a system where space is tight. Hence, I've turned off the "Automatically install recommended packages" option. The problem occurs if I install a package which ...
6
votes
2answers
4k views

How to show only installed packages by executing “aptitude search”?

After executing the aptitude search pattern command, I need to see only installed packages in the search result. Is there any way to do that?
1
vote
0answers
242 views

Aptitude installing jre

I am trying to install jre on my debian 7 kali box, but I keep getting these faulty errors. I tried installing it through aptitude and it fails at the end. The result is: dpkg: error processing ...
0
votes
2answers
7k views

Get errors when aptitude update

I get the following errors when aptitude update. These errors are after non-error updates. What do I do to fix this, but not remove the ppas, etc? Err http://ppa.launchpad.net Packages 404 Not ...
0
votes
2answers
1k views

How can I install Bastille on a recent version of Debian?

To the best of my ability, I have looked everywhere in order to find a .deb file however even on its own website (bastille-linux.org) it is recommended to use aptitude which no longer seem to contain ...
0
votes
1answer
96 views

Old Debian packages install sources

I'm trying to install make program using aptitude install make in my Debian. Unfortunately I have error : Err http://debian.balt.net lenny/main make 3.81-5 404 NotFound What I need to do to make ...